Method: projects.locations.instances.tokenAuthUsers.list

列出已启用基于令牌的身份验证的实例的所有令牌身份验证用户。

HTTP 请求

:


GET https://memorystore.googleapis.com/v1beta/{parent=projects/*/locations/*/instances/*}/tokenAuthUsers

网址使用 gRPC 转码语法。

路径参数

参数
parent

string

必需。要列出令牌身份验证用户的父级。格式:projects/{project}/locations/{location}/instances/{instance}

查询参数

参数
pageSize

integer

可选。需要返回的最大项数。 最大值为 1,000;大于 1,000 的值将被强制转换为 1,000。 如果未指定,则服务将使用默认值 1000。无论 pageSize 值如何,响应都可以包含部分列表,并且调用方应该只依赖于响应的 nextPageToken 来确定是否还有更多令牌身份验证用户需要查询。

pageToken

string

可选。从上一个 tokenAuthUsers.list 请求返回的 nextPageToken 值(如果有)。

filter

string

可选。用于过滤结果的表达式。

orderBy

string

可选。按定义的顺序对结果进行排序。

请求正文

请求正文必须为空。

响应正文

tokenAuthUsers.list 的响应消息。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "tokenAuthUsers": [
    {
      object (TokenAuthUser)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
字段
tokenAuthUsers[]

object (TokenAuthUser)

项目中的令牌身份验证用户列表。

nextPageToken

string

用于检索下一页结果的令牌。如果列表中没有更多结果,则为空。

unreachable[]

string

无序列表。无法联系到的令牌身份验证用户。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write